# Micro [![Go.Dev reference](https://img.shields.io/badge/go.dev-reference-007d9c?logo=go&logoColor=white&style=flat-square)](https://pkg.go.dev/github.com/micro/micro/v3?tab=doc) [![License](https://img.shields.io/badge/license-apache-blue)](https://opensource.org/licenses/Apache-2.0) [![M3O](https://img.shields.io/badge/micro-cloud-orange)](https://m3o.cloud/) [![M3O](https://img.shields.io/badge/micro-slack-yellow)](https://slack.m3o.com) 

Micro is a cloud platform for API development.

## Overview

Micro addresses the key requirements for building services in the cloud. It leverages the microservices
architecture pattern and provides a set of services which act as the building blocks of a platform. Micro deals
with the complexity of distributed systems and provides simpler programmable abstractions to build on. 

## Contents

- [Introduction](https://micro.mu/introduction) - A high level introduction to Micro
- [Getting Started](https://micro.mu/getting-started) - The helloworld quickstart guide
- [Upgrade Guide](https://micro.mu/upgrade-guide) - Update your go-micro project to use micro v3.
- [Architecture](https://micro.mu/architecture) - Describes the architecture, design and tradeoffs
- [Reference](https://micro.mu/reference) - In-depth reference for Micro CLI and services
- [Resources](https://micro.mu/resources) - External resources and contributions
- [Roadmap](https://micro.mu/roadmap) - Stuff on our agenda over the long haul
- [FAQ](https://micro.mu/faq) - Frequently asked questions

## Cloud

Find the cloud hosted services at [m3o.com](https://m3o.com)

## Usage

See the [docs](https://micro.mu/docs) for detailed information on the architecture, installation and use of the platform.

## License

See [LICENSE](LICENSE) which makes use of [Apache 2.0](https://opensource.org/licenses/Apache-2.0)
